Page MenuHomePhabricator

Echo events not validating on EL
Closed, ResolvedPublic

Description

(sending to collaboration team in the absence of abetter tag, please reasign as needed)

Some flow events are not validating on EL as event id is being sent as a string, not a number.

EventLogging {"event":{"version":"1.5","eventId":"225251","notificationType":"flow-new-topic","notificationGroup":
"other","sender":"244655","recipientUserId":971363,"recipientEditCount":183,"deliveryMethod":"web"},"schema":"Echo","revision":7731316,"clientValidated":false,"wiki":"mediawikiwi
ki","recvFrom":"mw1004","timestamp":1428087377,"webHost":"127.0.0.1:9005","userAgent":"curl/7.35.0"}
(u'225251' is not of type u'integer')

Please note that eevent validation can be tested on beta labs: https://wikitech.wikimedia.org/wiki/EventLogging/Testing/BetaLabs and vagrant, using event logging dev server: http://www.mediawiki.org/wiki/Extension:EventLogging/Guide#Installing_the_EventLogging_devserver

Event Timeline

Nuria created this task.Apr 6 2015, 2:36 PM
Nuria raised the priority of this task from to Needs Triage.
Nuria updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 6 2015, 2:36 PM

Hi @Nuria. Please associate a project with this task, otherwise nobody can find this task when searching in the corresponding project(s) Thanks.

In the future, just associating the StructuredDiscussions project will ensure we see it.

But this is actually an Notifications bug.

Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptApr 15 2015, 4:10 AM
Mattflaschen-WMF renamed this task from Flow events not validating on EL to Echo events not validating on EL .Apr 15 2015, 4:11 AM

Change 204217 had a related patch set uploaded (by Mattflaschen):
Make sure eventId is int for client-side events.

https://gerrit.wikimedia.org/r/204217

Change 204217 merged by jenkins-bot:
Make sure eventId is int for client-side events.

https://gerrit.wikimedia.org/r/204217

Mattflaschen-WMF closed this task as Resolved.Apr 16 2015, 1:46 AM
kevinator moved this task from Next Up to Done on the Analytics-Kanban board.Apr 17 2015, 12:13 AM